Skip to main content
GET
Get file information and transcript
Retrieve detailed information about a specific uploaded file, including its transcript once processing is complete.

Path Parameter

  • file_id (string, required) – The ID of the uploaded file.

Example Request

cURL

Success Response (200 OK)

Returns a file_info object (including namespace assignments) and, if processing is complete, a transcript object.

Authorizations

X-API-Key
string
header
required

API key authentication. Include your VidNavigator API key in the X-API-Key header.

Path Parameters

file_id
string
required

The ID of the uploaded file

Query Parameters

transcript_text
boolean
default:false

When true, returns the transcript as a single plain-text string instead of an array of segments (only when transcript is available).

Response

File information retrieved successfully

status
enum<string>
Available options:
success
data
object